
MODULE  = dba
TYPE    = plat

DBUG_FLAGS_ADD = 
RELS_FLAGS_ADD =

##Default commonly as below

BUILD       = lib
CFG         = debug


PLT_LIB     = -DDEBUG

APP_LIB     = 
LIB_ADD     =

GLIB_PATH   = /usr/include/glib-2.0
GLIB_CONFIG_PATH = /usr/lib/x86_64-linux-gnu/glib-2.0/include

SRC_PATH    = ./src
INC_PATH    = ./src/include
PLT_PATH    = ../../../ocs/plat
APP_PATH    = ../../../ocs/mss
INC_PATH    += -I$(PLT_PATH)/snmp/src -I$(PLT_PATH)/radius/src/include -I$(GLIB_PATH) -I$(GLIB_CONFIG_PATH)

OBJ_ADD     = 
TEST_OBJ_PATH  = 

PREPROC_CMD    = 
POSTPROC_CMD   = 
# Add MySQL include and library paths
MYSQL_INCLUDE_PATH  := /usr/include/mysql
MYSQL_LIB_PATH      := /usr/lib/x86_64-linux-gnu
MYSQL_LIBS          := -lmysqlclient -lpthread -lz -lm -lrt -ldl
DEBUG_CFLAGS        += -I$(MYSQL_INCLUDE_PATH) -I$(INC_PATH) 
DEBUG_LINK_CFLAGS   += -L$(MYSQL_LIB_PATH) -lmysqlclient -lpthread -lz -lm -lrt -ldl
RELEASE_CFLAGS      += -I$(MYSQL_INCLUDE_PATH) -I$(INC_PATH)
RELEASE_LINK_CFLAGS += -L$(MYSQL_LIB_PATH) -lmysqlclient -lpthread -lz -lm -lrt -ldl

##--------------------------------------
##
##  Make configuration(Customer define)
##
##--------------------------------------

## CCFLAG_SWITCH = on/off      => gcc flag show on/off
## COVER_NEED    = yes/no      => PTF cover report needed
## COVER_REPORT_PATH = [path ] => PTF cover report path

CCFLAG_SWITCH         = off
COVER_NEED            = no
COVER_REPORT_PATH     = ./output

##---------------------------------------------------------------------##


##--------------------------------------
##
##  include makefile.rules (Do not change)
##
##--------------------------------------
MAKE_INCLUDE = ../inc
include ${MAKE_INCLUDE}/Makefile.rules
